Name:           python-x2go
Version:        0.6.1.4
Release:    1%{?dist}
Summary:        Python module providing X2Go client API

License:        AGPLv3+
URL:            https://www.x2go.org/
Source0:        https://code.x2go.org/releases/source/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires: make

%description
X2Go is a server based computing environment with:
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client side mass storage mounting support
   - audio support
   - authentication by smartcard and USB stick

This Python module allows you to integrate X2Go client support into your
Python applications by providing a Python-based X2Go client API.


%package        doc
Summary:        Python X2Go client API documentation

%description    doc
This package contains the Python X2Go client API documentation.


%package -n python%{python3_pkgversion}-x2go
Summary:        Python module providing X2Go client API
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  /usr/bin/2to3
BuildRequires:  /usr/bin/sphinx-build-3
BuildRequires:  python%{python3_pkgversion}-gevent
BuildRequires:  python%{python3_pkgversion}-paramiko
BuildRequires:  python%{python3_pkgversion}-requests
BuildRequires:  python%{python3_pkgversion}-simplejson
BuildRequires:  python%{python3_pkgversion}-xlib
Requires:       nxproxy
Requires:       python%{python3_pkgversion}-gevent
Requires:       python%{python3_pkgversion}-paramiko
Requires:       python%{python3_pkgversion}-requests
Requires:       python%{python3_pkgversion}-simplejson
Requires:       python%{python3_pkgversion}-xlib

%description -n python%{python3_pkgversion}-x2go
X2Go is a server based computing environment with:
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client side mass storage mounting support
   - audio support
   - authentication by smartcard and USB stick

This Python module allows you to integrate X2Go client support into your
Python applications by providing a Python-based X2Go client API.


%prep
%setup -q


%build
%py3_build
make -C docs SPHINXBUILD=/usr/bin/sphinx-build-3 html


%install
%py3_install


%files -n python%{python3_pkgversion}-x2go
%license COPYING
%doc ChangeLog README* TODO
%{python3_sitelib}/x2go*

%files doc
%doc docs/build/html


%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1.4-1
- initial build
